LIBINPUT-DEBUG-EVENTS(1)

NAME
libinput-debug-events - debug helper for libinput

SYNOPSIS
libinput-debug-events [--help] [--show-keycodes]

DESCRIPTION

The libinput-debug-events tool creates a libinput context and prints all events from these devices.

This is a debugging tool only, its output may change at any time. Do not rely on the output.

This tool usually needs to be run as root to have access to the /dev/input/eventX nodes.

OPTIONS

--help
    Print help

--show-keycodes
    Key events shown by this tool are partially obfuscated to avoid passwords and other sensitive information showing up in the output. Use the --show-keycodes argument to make all keycodes visible.

For all other options, see the output from --help. Options may be added or removed at any time.

NOTES

Events shown by this tool may not correspond to the events seen by a different user of libinput. This tool initializes a separate context.